import react, { PureComponent } from 'react';
import { Row, Col } from 'antd';
import DataSearch from '../../../components/DataSearch';

export default class Search extends PureComponent {
  render() {
    const { field, keyword, onSearch, onAdd } = this.props;

    const searchGroupProps = {
      field,
      keyword,
      size: 'default',
      select: true,
      selectOptions: [{
        value: 'name', name: '产品名称', mode: 'input',
      },{
        value: 'code', name: '产品编号', mode: 'input',
      }],
      selectProps: {
        defaultValue: field || 'code',
      },
      onSearch: (value) => onSearch(value),
    };

    return (
      <Row gutter={24}>
        <Col lg={10} md={12} sm={16} xs={24} style={{ marginBottom: 16 }}>
          <DataSearch { ...searchGroupProps } />
        </Col>
      </Row>
    );
  }
}
